Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1800246 - wdune: FTBFS in Fedora rawhide/f32
Summary: wdune: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: wdune
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: J. Scheurich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 20:22 UTC by Fedora Release Engineering
Modified: 2020-03-02 13:11 UTC (History)
1 user (show)

Fixed In Version: 1.789
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-02 13:07:30 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 20:22 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 20:22 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 20:22 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 20:22:22 UTC
wdune failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41322749


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix wdune at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
wdune will be orphaned. Before branching of Fedora 33,
wdune will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 20:22:27 UTC
Created attachment 1661358 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 20:22:29 UTC
Created attachment 1661359 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 20:22:30 UTC
Created attachment 1661360 [details]
state.log

Comment 4 J. Scheurich 2020-02-06 22:34:21 UTC
https://kojipkgs.fedoraproject.org//work/tasks/5088/41325088/build.log
...
+ make render_with_picture_path
(../../../bin/dune -c++ robot.x3dv > C++Export.cc) || \
dune -c++ robot.x3dv > C++Export.cc
/bin/sh: line 1: 10115 Segmentation fault      (core dumped)

white_dune-1.654 crashes when using the the X3D commandline compliler function.
I will update to white_dune-1717 which fixes the X3D compiler problem.

Comment 5 Ben Cotton 2020-02-11 16:40:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 6 Fedora Release Engineering 2020-02-16 04:31:45 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 7 J. Scheurich 2020-02-24 06:17:34 UTC
white_dune-1.777 has been built successfully in fedora 33

How do i build this version in fedora 32 ?

Comment 8 J. Scheurich 2020-02-25 03:42:49 UTC
Strange, i already updated to version 1,777 for fedaora 32, which builds correctly, but i got a error message about version 1.654...

Comment 10 Fedora Release Engineering 2020-03-01 04:23:30 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 11 J. Scheurich 2020-03-02 13:07:30 UTC
should be fixed in version 1.789


Note You need to log in before you can comment on or make changes to this bug.